package cn.com.qmth.stmms.biz.utils;

import java.util.List;

public class PictureTag {

    private int userId;

    private String userRole;

    private int groupNumber;

    private String[] content;

    private double left;

    private double top;

    private int size;

    public String[] getContent() {
        return content;
    }

    public void setContent(String... content) {
        this.content = content;
    }

    public void setContent(List<String> content) {
        if (content != null && !content.isEmpty()) {
            this.content = content.toArray(new String[content.size()]);
        }
    }

    public double getLeft() {
        return left;
    }

    public void setLeft(double left) {
        this.left = left;
    }

    public double getTop() {
        return top;
    }

    public void setTop(double top) {
        this.top = top;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public int getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(int groupNumber) {
        this.groupNumber = groupNumber;
    }

    public String getUserRole() {
        return userRole;
    }

    public void setUserRole(String userRole) {
        this.userRole = userRole;
    }

}
